/* Default Theme */
:root {
	color-scheme: light dark;

	--MAIN_BG: #F7F7F7;
	--SECONDARY_BG: #E6E6E6;
	--HEADER_BG: #FFFFFF;
	--FOOTER_BG: #364252;
	--DARK_BG: #1B2129;

	--TEXT_NORMAL: #1F1F1F;
	--TEXT_LIGHT: #E5E5E5;

	--GREEN: #1DB265;
	--GREEN_ACTIVE: #249359;
	--BLUE: #4018F1;

	--BUTTON_TEXT: #FFFFFF;

	--SHADOW_COLOUR: #2A2A2AA5;

	--SLIDER_DOTS_INNACTIVE: #AEAEAE;
	--SLIDER_DOTS_ACTIVE: #3C3C3C;

	font-family: Arial, Helvetica, sans-serif;
	color: var(--TEXT_NORMAL);

	@media (prefers-color-scheme: dark) {
		--MAIN_BG: var(--DARK_BG);
		--SECONDARY_BG: #242C36;
		--HEADER_BG: #171C23;
		--FOOTER_BG: var(--SECONDARY_BG);

		--TEXT_LIGHT: #D0D0D0;
		--TEXT_NORMAL: #D0D0D0;

		--SHADOW_COLOUR: #000000C5;

		--GREEN: #129852;
		--GREEN_ACTIVE: #007638;

		--SLIDER_DOTS_INNACTIVE: #E6E6E6;
		--SLIDER_DOTS_ACTIVE: #565656;
	}
}

body {
	margin: 0;
	min-height: 100vh;
	background-color: var(--MAIN_BG);
	display: flex;
	flex-direction: column;
	text-align: center;
}

html {
  box-sizing: border-box;
}

*, *:before, *:after {
  box-sizing: inherit;
}

main > * {
	max-width: 100%;
	width: 60rem;
}

header {
	background-color: var(--HEADER_BG);
	position: sticky;
	top: 0px;
	width: 100%;
	max-width: 100%;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
	font-size: 1rem;
	z-index: 1;
}

.header-section {
	display: flex;
	flex-direction: row;
	justify-content: space-evenly;
	align-items: center;
	margin: 0.5rem 2.5% 0.5rem 2.5%;
	min-width: max-content;
}

#logo-header img {
	height: 5rem;
}

.header-section:nth-child(1) {
	justify-content: left;
}
.header-section:nth-child(1) > * {
	display: flex;
	justify-content: space-between;
	flex-direction: row;
	align-items: center;
}

.header-section:nth-child(2) {
	width: 100%;
	margin: 0;
}
.header-section:nth-child(2) * {
	margin: 0;
}
.header-section:nth-child(2) > *:last-child {
	display: none;
}

footer {
	background-color: var(--FOOTER_BG);
	width: 100%;
	color: var(--TEXT_LIGHT);
	margin-top: 15px;
	display: flex;
	flex-direction: row;
	justify-content: center;
}
footer a {
	color: var(--TEXT_LIGHT);
}
footer img {
	width: 100%;
	height: auto;
	object-fit: scale-down;
}
.footer-subsection {
	display: flex;
	flex-direction: row;
}
.footer-section {
	margin-top: 60px;
	margin-bottom: 60px;
	font-size: 1.3rem;
	margin-left: 15px;
	margin-right: 15px;
	text-align: left;
	width: 192px;
	display: flex;
	flex-direction: column;
}
.footer-section a {
	width: max-content;
}
.footer-section > * {
	color: var(--TEXT_LIGHT);
	margin: 0;
	margin-bottom: 10px;
}
.footer-subsection:last-child > .footer-section:last-child > *:not(:first-child) {
	padding-left: 4px;
}
.footer-subsection:last-child > .footer-section:last-child *:first-child {
	font-size: 1rem;
	height: 1rem;
}



a {
	text-decoration: none;
	color: var(--TEXT_NORMAL);
	width: fit-content;
	max-width: 100%;
	box-sizing: content-box;
}
a:hover {
	cursor: pointer;
	color: var(--GREEN);
	transition: color 250ms;
}
a:active {
	cursor: grabbing;
}

a svg {
	fill: var(--GREEN);
	height: 1rem;
	padding-right: 0.5rem;
}


.dropdown-wrapper {
	position: relative;
	display: inline-block;
	padding-bottom: 0.5rem;
	padding-top: 0.5rem;
}

.dropdown-wrapper > div > button:has(p) {
	display: none;
}
.dropdown-wrapper > div:not(:first-child) {
	background-color: var(--SECONDARY_BG);
	border-radius: 2px;
	box-shadow: 2px 2px 10px 1px var(--SHADOW_COLOUR);
	transform-origin: top;
	transform: scaleY(0);
	text-align: left;
	position: absolute;
	top: 2rem;
	z-index: 1;
	transition: transform 300ms;
}

.dropdown-wrapper > div:not(:first-child) > a {
	width: max-content;
	font-size: 1.2rem;
	max-width: 250px;
	padding: 15px;
	display: block;
}

@media (pointer: fine) {
	@media (min-width: 750px) {
		.dropdown-wrapper:hover > div:not(:first-child) {
			transform: scaleY(1);
		}
	}
}

.wrapper-row {
	display: flex;
	flex-direction: row;
}
.wrapper-column {
	display: flex;
	flex-direction: column;
	align-items: center;
}

main {
	flex: 1;
	display: flex;
	flex-direction: column;
	align-items: center;
	font-size: 1.5rem;
}

h2 {
	margin-bottom: 0;
}

main > p {
	margin-top: 0.5rem;
}

#socials {
	justify-content: space-between;
	margin-left: 4px;
	margin-right: 4px;
}
#socials svg {
	fill: var(--TEXT_LIGHT);
	height: 1.5rem;
	margin: 5px;
	object-fit: scale-down;
}
#socials svg:hover {
	fill: var(--GREEN);
	transition: fill 250ms;
}



.button-hollow {
	border: solid 2px;
	border-color: var(--GREEN);
	height: fit-content;
	padding: 10px 20px 10px 20px;
	margin: 2px 4px 2px 4px;

	color: var(--GREEN);
	background-color: transparent;
	transition: 250ms;
}
.button-hollow:hover {
	color: var(--TEXT_LIGHT);
	background-color: var(--GREEN);
	margin: 0px;
	padding: 12px 24px 12px 24px;
	transition: 250ms;
}
.button-hollow svg {
	transition: 250ms;
}
.button-hollow:hover svg {
	fill: var(--TEXT_LIGHT);
}

.button-solid {
	border: none;
	border-radius: 2px;
	padding: 10px 30px 10px 30px;
	margin: 2px 6px 2px 6px;

	color: var(--BUTTON_TEXT);
	background-color: var(--GREEN);
	transition: 250ms;
}
.button-solid:hover {
	color: var(--BUTTON_TEXT);
	background-color: var(--GREEN_ACTIVE);
	margin: 0px;
	padding: 12px 36px 12px 36px;
	cursor: pointer;
	transition: 250ms;
}

main > div {
	margin-top: 50px;
}

main > *:first-child {
	margin-top: 0;
}

main > ul,
main > p {
	width: 60rem;
	max-width: 90%;
	text-align: left;
	margin-top: 1rem;
}

.media-header-wrapper {
	position: relative;
	width: 100%;
	aspect-ratio: 5/2;
}
.image-header-wrapper {
	aspect-ratio: 3/1;
}

.media-header-wrapper > *:first-child {
	position: relative;
	z-index: -2;
	width: 100%;
	height: 100%;
	object-fit: cover;
	pointer-events: none;
}

.media-overlay {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;

	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	background-color: rgba(0, 0, 0, 0.4);
}

.media-overlay > div {
	color: var(--TEXT_LIGHT);
	display: flex;
	flex-direction: column;
	width: 45rem;
	max-width: 90%;
	text-align: left;
}

.split-wrapper {
	display: flex;
	flex-direction: row;
	width: 70rem;
	max-width: 100%;
}
.split-wrapper > div {
	width: 50%;
	display: flex;
	flex-direction: column;
	justify-content: center;
}

main img {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.centre-section-wrapper {
	padding-top: 5rem;
	padding-bottom: 5rem;
	width: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.column-wrapper {
	display: flex;
	flex-direction: column;
	align-items: center;
}

.dark-background {
	background-color: var(--DARK_BG);
	color: var(--TEXT_LIGHT);
}

.service-wrapper {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	width: 48rem;
	max-width: 90%;
}
.service-wrapper > div {
	width: 47%;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
}
.service-wrapper > div > * {
	margin-left: 15px;
}


.testimonials-wrapper p {
	font-size: 1.5rem;
	margin-top: 0;
	margin-bottom: 3rem;
}
.testimonials-wrapper h3 {
	font-size: 2rem;
	text-decoration: underline;
	margin-bottom: 1rem;
}

.testimonials-wrapper {
	position: relative;
	margin: 30px auto;
	overflow: hidden;
	width: 55rem;
	max-width: 100%;
	background-color: var(--SECONDARY_BG);
	touch-action: pan-y;
}

.testimonials-slides {
	background-color: transparent;
	display: flex;
	flex-direction: row;
	transition: transform 500ms ease;
}

.testimonials-slides > * {
	box-sizing: border-box;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	margin: 0;
	flex: 0 0 100%;
	padding: 2rem;
}

.testimonials-dots {
	text-align: center;
	margin-top: 1rem;
}
.testimonials-dots button {
	border: none;
	background-color: var(--SLIDER_DOTS_INNACTIVE);
	width: 1rem;
	height: 1rem;
	border-radius: 9999px;
	margin: 0 0.25rem;
	cursor: pointer;
	transition: background 0.250ms;
}
.testimonials-dots button.active,
.testimonials-dots button:hover { 
	background-color: var(--SLIDER_DOTS_ACTIVE);
}

.list .list-item + .list-item {
	border-top: 0.2rem solid var(--TEXT_NORMAL);
}

#logo-footer {
	width: 100%;
	object-fit: scale-down;
}

.portrait-image-section > div:first-child {
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
}
.portrait-image-section img {
	width: auto;
	max-width: 100%;
	object-fit: scale-down;
}

.hamburger-menu {
	width: 3rem;
	height: 3rem;
	right: 0;
	position: relative;
	background: none;
	border: none;
	margin-right: 0.5rem;
	display: none;
}
.hamburger-menu:hover {
	cursor: pointer;
}
.hamburger-menu:active {
	cursor: grabbing;
}
.hamburger-menu span {
	height: 0.5rem;
	width: 100%;
	position: absolute;
	border-radius: 999px;
	background-color: var(--GREEN);
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	transition: 300ms ease;
}
.hamburger-menu.active span {
	background-color: var(--GREEN_ACTIVE);
}
.hamburger-menu span:nth-child(1) {
	top: 25%;
}
.hamburger-menu span:nth-child(3) {
	top: 75%;
}

.hamburger-menu.active span:nth-child(1) {
	top: 50%;
	transform: translate(-50%, -50%) rotate(45deg);
}
.hamburger-menu.active span:nth-child(2) {
	opacity: 0;
}
.hamburger-menu.active span:nth-child(3) {
	top: 50%;
	transform: translate(-50%, -50%) rotate(-45deg);
}
